View Issue Details

IDProjectCategoryView StatusLast Update
0000537ascendcompilerpublic2012-04-11 05:53
Reporterjohn 
Assigned Tojohn 
PriorityhighSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version11.10
Product Version0.9.8 
Target Version0.9.8Fixed in Version0.9.8 
Summary0000537: segfault when exiting PyGTK
DescriptionThe following segfault is seen when loading models/johnpye/fprops/combinedcycle_fprops.a4c into the PyGTK GUI (pygtk/ascdev) and then immediately quitting from the GUI. It is not necessary to instantiate a model.

The bug appears in changeset 3922. In changeset 3921, there is no crash.

The bug presumably arises from the LINK syntax additions merged into trunk at that stage.


Additional InformationTIME SPENT UPDATING SOLVER: 0.11 s
ascxx/library.cpp:387 (clear): Destroying simulations...
ascxx/library.cpp:390 (clear): Clearing library...

Program received signal SIGSEGV, Segmentation fault.
DestroyVariableList (n=0xa9) at ascend/compiler/vlist.c:112
112 next = n->next;
(gdb) where
#0 DestroyVariableList (n=0xa9) at ascend/compiler/vlist.c:112
#1 0xb6d98253 in DestroyStatement (s=0x97feb08) at ascend/compiler/statement.c:907
#2 0xb6d96480 in DestroyStatementList (sl=0x97ff6d8) at ascend/compiler/slist.c:276
#3 0xb6da5099 in DeleteTypeDesc (d=0x9800008) at ascend/compiler/type_desc.c:1318
#4 0xb6d4cf2a in DestroyLibrary () at ascend/compiler/library.c:213
#5 0xb770783f in Library::clear (this=0x8eb81e8) at ascxx/library.cpp:393
#6 0xb778c092 in _wrap_Library_clear () from /home/john/ascend/ascxx/_ascpy.so
#7 0x080fb53d in PyEval_EvalFrameEx ()
TagsNo tags attached.

Relationships

Activities

john

2012-04-03 07:14

administrator   ~0000838

This also appears when reloading models in some cases (with ExtPy in action). Could also be something to do with new SOLVER, OPTION, SOLVE keywords?

john

2012-04-11 02:49

administrator   ~0000860

Last edited: 2012-04-11 02:59

View 2 revisions

The bug is similar in Ubuntu 12.04 LTS 32-bit.

When MALLOG_DEBUG=1 is used with SCons:

PROGRAM ERROR: ascend/general/pool.c:525:pool_free_elementF: More elements freed than have been handed out. (265389)
PROGRAM ERROR: ascend/general/pool.c:525:pool_free_elementF: More elements freed than have been handed out. (265390)
PROGRAM ERROR: ascend/general/pool.c:525:pool_free_elementF: More elements freed than have been handed out. (265391)
PROGRAM ERROR: ascend/general/pool.c:525:pool_free_elementF: More elements freed than have been handed out. (265392)
PROGRAM ERROR: ascend/general/pool.c:525:pool_free_elementF: More elements freed than have been handed out. (265393)
PROGRAM ERROR: ascend/general/pool.c:525:pool_free_elementF: More elements freed than have been handed out. (265394)
^CProgram received signal SIGINT, Interrupt.
0xb7fdd424 in __kernel_vsyscall ()
(gdb) where
#0 0xb7fdd424 in __kernel_vsyscall ()
#1 0xb7cc11fb in write () from /lib/i386-linux-gnu/libc.so.6
#2 0xb7c55b05 in _IO_file_write () from /lib/i386-linux-gnu/libc.so.6
#3 0xb7c559e4 in ?? () from /lib/i386-linux-gnu/libc.so.6
#4 0xb7c566fa in _IO_file_xsputn () from /lib/i386-linux-gnu/libc.so.6
#5 0xb7c2cf07 in ?? () from /lib/i386-linux-gnu/libc.so.6
#6 0xb7c27b85 in vfprintf () from /lib/i386-linux-gnu/libc.so.6
#7 0xb7c31bef in fprintf () from /lib/i386-linux-gnu/libc.so.6
#8 0xb6c1d2ce in error_reporter_default_callback () from /home/john/ascend/libascend.so.1
#9 0xb6c1d941 in va_error_reporter () from /home/john/ascend/libascend.so.1
#10 0xb6c1dd06 in error_reporter () from /home/john/ascend/libascend.so.1
#11 0xb6c14f3e in pool_free_elementF () from /home/john/ascend/libascend.so.1
#12 0xb6c9229d in DestroyName () from /home/john/ascend/libascend.so.1
#13 0xb6ceca0b in DestroyVariableList () from /home/john/ascend/libascend.so.1
#14 0xb6cc7b31 in DestroyStatement () from /home/john/ascend/libascend.so.1
#15 0xb6cc5dcc in DestroyStatementList () from /home/john/ascend/libascend.so.1
#16 0xb6cd472d in DeleteTypeDesc () from /home/john/ascend/libascend.so.1
#17 0xb6c7d57a in DestroyLibrary () from /home/john/ascend/libascend.so.1
#18 0xb762025f in Library::clear() () from /home/john/ascend/ascxx/_ascpy.so
#19 0xb76b6e21 in _wrap_Library_clear () from /home/john/ascend/ascxx/_ascpy.so

When MALLOC_DEBUG is NOT used with SCons:

ascxx/library.cpp:390 (clear): Clearing library...

Program received signal SIGSEGV, Segmentation fault.
0xb6ce9720 in DestroyVariableList () from /home/john/ascend/libascend.so.1
(gdb) where
#0 0xb6ce9720 in DestroyVariableList () from /home/john/ascend/libascend.so.1
#1 0xb6cc429b in DestroyStatement () from /home/john/ascend/libascend.so.1
#2 0xb6cc24c8 in DestroyStatementList () from /home/john/ascend/libascend.so.1
#3 0xb6cd10e1 in DeleteTypeDesc () from /home/john/ascend/libascend.so.1
#4 0xb6c78f76 in DestroyLibrary () from /home/john/ascend/libascend.so.1
#5 0xb76202ef in Library::clear() () from /home/john/ascend/ascxx/_ascpy.so
#6 0xb76b705b in _wrap_Library_clear () from /home/john/ascend/ascxx/_ascpy.so
#7 0x08136f61 in PyEval_EvalFrameEx ()
#8 0x081373cf in PyEval_EvalFrameEx ()
#9 0x081373cf in PyEval_EvalFrameEx ()
#10 0x081a64d0 in PyEval_EvalCodeEx ()
#11 0x081a7f4e in ?? ()

Actually it's not necessary even to instantiate the model in order to get this error, it seems. Which seems odd.

john

2012-04-11 05:17

administrator   ~0000862

This bug was introduced in changeset 3922, which was when Dante's work was incorporated into trunk from Ksenija's branch.

Issue History

Date Modified Username Field Change
2012-04-02 03:04 john New Issue
2012-04-03 07:14 john Note Added: 0000838
2012-04-03 07:47 john Priority normal => high
2012-04-03 07:47 john Severity minor => major
2012-04-11 02:49 john Note Added: 0000860
2012-04-11 02:49 john Description Updated View Revisions
2012-04-11 02:59 john Note Edited: 0000860 View Revisions
2012-04-11 05:17 john Note Added: 0000862
2012-04-11 05:19 john Status new => confirmed
2012-04-11 05:19 john Description Updated View Revisions
2012-04-11 05:52 svn
2012-04-11 05:52 svn Status confirmed => resolved
2012-04-11 05:52 svn Resolution open => fixed
2012-04-11 05:53 john Assigned To => john
2012-04-11 05:53 john Fixed in Version => 0.9.8
2012-04-11 05:53 john Target Version 1.0 => 0.9.8